Application: gvSIG desktop - gvSIG bugs #5625
No funciona anadir capa de base de datos de Oracle
04/22/2021 12:33 PM - Victor Montes Camara

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category:

Target version: 2.6.0-3220

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3219 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown

Description

Al intentar afadir una capa de Oracle, el desplegable "Campo geométrico" aparece vacio, por lo que no se puede especificar. Lo he
puesto en "Propiedades avanzadas", "Basic", "DefaultGeometryField", pero tampoco funciona.
En el log aparece el siguiente error:

WARN 2382714 AWT-EventQueue-0 org.gvsig.geodb.WizardDBVectorial - Can't create layer 'ENT_010101_ACTUAL".
org.gvsig.fmap.mapcontext.exceptions.LoadLayerException: Can’t load the layer ENT_010101_ACTUAL.

at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.createLayer(DefaultMapContextManager.java:797)

at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.createLayer(DefaultMapContextManager.java:712)

at org.gvsig.geodb.WizardDBVectorial.executeWizard(WizardDBVectorial.java:106)

at org.gvsig.app.extension.AddLayer.doAddLayers(AddLayer.java:243)

at org.gvsig.app.extension.AddLayer.execute(AddLayer.java:161)

at org.gvsig.app.extension.AddLayer.execute(AddLayer.java:145)

at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)

at org.gvsig.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:993)

at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)

at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)

at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)

at javax.swing.DefaultButtonModel.setPressed(Unknown Source)

at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)

at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventimpl(Unknown Source)
at java.awt.EventQueue.access$500(Unknown Source)
at java.awt.EventQueue$3.run(Unknown Source)
at java.awt.EventQueue$3.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessimpl.dolntersectionPrivilege(Unknown Source)
at java.security.ProtectionDomain$JavaSecurityAccessimpl.dolntersectionPrivilege(Unknown Source)
at java.awt.EventQueue$4.run(Unknown Source)
at java.awt.EventQueue$4.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.dolntersectionPrivilege(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)
at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.run(Unknown Source)
Caused by: java.lang.lllegalArgumentException: The layer don't has a geometry column.
at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.getLegend(DefaultMapContextManager.java:842)
at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.bindToDataStore(FLyrVect.java:183)
at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.setDataStore(FLyrVect.java:162)
at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.createLayer(DefaultMapContextManager.java:787)

Por cierto, en inglés seria "The layer doesn't have a geometry column." no "The layer don't has a geometry column." ;)

History

#1 - 04/28/2021 06:16 PM - Joaquin del Cerro Murciano
- Hito set to Fase 01

- gvSIG build set to 3219

- Target version set to 2.6.0-3220

- Description updated

#2 - 04/28/2021 06:17 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#3 - 05/19/2021 11:39 AM - Alvaro Anguix
- Status changed from Fixed to Closed
